> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Paystubs.partially_synced webhook

> The `paystubs.partially_synced` webhook is sent when paystubs going back a specified number of days prior (starting from the date [when the account was added](/api-reference/accounts-webhooks/added)) have been retrieved. By default, this period is set to 30 days.
<Note>
You can subscribe to this webhook multiple times with different numbers of specified days.
</Note>
Of note:
- This webhook is sent only during initial data retrieval (not [ongoing refresh](/overview/ongoing-refresh)).
- If the number of paystubs for an account is small and captured completely with only one data pull, this webhook will not be sent. Instead the `paystubs.fully_synced` webhook will be sent.




## OpenAPI

````yaml openAPI/paystubs-webhooks-partially-synced.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Paystubs Webhooks API
  version: 1.0.0
  description: >
    API for managing Paystubs webhooks.

    Sent when paystubs are added or updated.


    If you need to access to paystubs as soon as they are available:


    *   The `paystubs.partially_synced` webhook is sent when paystubs going back
    a specified number of days prior (starting from the date when the account
    was added) have been retrieved during initial data retrieval for a newly
    connected account.

    *   The `paystubs.fully_synced` webhook is sent when all paystubs have been
    retrieved during initial data retrieval for a newly connected account.
servers: []
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `paystubs.partially_synced` webhook is sent when paystubs going back
        a specified number of days prior (starting from the date [when the
        account was added](/api-reference/accounts-webhooks/added)) have been
        retrieved. By default, this period is set to 30 days.

        <Note>

        You can subscribe to this webhook multiple times with different numbers
        of specified days.

        </Note>

        Of note:

        - This webhook is sent only during initial data retrieval (not [ongoing
        refresh](/overview/ongoing-refresh)).

        - If the number of paystubs for an account is small and captured
        completely with only one data pull, this webhook will not be sent.
        Instead the `paystubs.fully_synced` webhook will be sent.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaystubsPartiallySyncedSubscriptionRequest'
            examples:
              paystubs_partially_synced_subscription:
                summary: paystubs.partially_synced subscription
                value:
                  events:
                    - paystubs.partially_synced
                  name: name-for-the-webhook-subscription
                  url: https://your-webhook-backend.com
                  secret: optional-secret
                  config:
                    days_synced: 60
      responses:
        '200':
          description: Successful subscription
          content:
            application/json:
              schema:
                type: object
                properties:
                  event:
                    type: string
                    enum:
                      - paystubs.partially_synced
                    description: The type of event being triggered.
                  name:
                    type: string
                    description: The name of the webhook subscription.
                  data:
                    type: object
                    properties:
                      account:
                        type: string
                        format: uuid
                        description: The unique identifier of the account.
                      user:
                        type: string
                        format: uuid
                        description: >-
                          The unique identifier of the user associated with the
                          paystubs.
                      available_from:
                        type: string
                        format: date-time
                        description: The timestamp when paystubs became available.
                      available_to:
                        type: string
                        format: date-time
                        description: The timestamp until when paystubs are available.
                      available_count:
                        type: integer
                        description: The total number of available paystubs.
                      days_synced:
                        type: integer
                        description: >-
                          The number of days for which paystubs were
                          successfully synced.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
components:
  schemas:
    PaystubsPartiallySyncedSubscriptionRequest:
      type: object
      description: Request body for subscribing to the `paystubs.partially_synced` webhook.
      properties:
        events:
          type: array
          items:
            type: string
            enum:
              - paystubs.partially_synced
          description: >
            List of events to subscribe to. Must include
            `paystubs.partially_synced`.

            Value is `paystubs.partially_synced`
        name:
          type: string
          description: |
            Your name for the webhook subscription.
            Name used for the webhook subscription.
        url:
          type: string
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form. URL where you want to
            receive webhook delivery.
        secret:
          type: string
          nullable: true
          description: |
            Optional secret used to verify webhooks.
            Secret used to verify webhooks.
        config:
          type: object
          nullable: true
          description: >
            `"days_synced": <Integer>` specifies how many days of synced
            paystubs (starting from the date of the most recent paystub) are
            needed to trigger the webhook.

            specifies how many days of synced paystubs are needed to trigger the
            webhook.
          properties:
            days_synced:
              type: integer
      required:
        - events
        - name
        - url
      example:
        events:
          - paystubs.partially_synced
        name: name-for-the-webhook-subscription
        url: https://your-webhook-backend.com
        secret: optional-secret
        config:
          days_synced: 60
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````